disco/linux-azure: 5.0.0-1027.29 -proposed tracker

Bug #1853901 reported by Marcelo Cerri on 2019-11-25
22
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Marcelo Cerri
Prepare-package-meta
Medium
Marcelo Cerri
Prepare-package-signed
Medium
Marcelo Cerri
Promote-to-proposed
Medium
Łukasz Zemczak
Promote-to-security
Medium
Andy Whitcroft
Promote-to-updates
Medium
Andy Whitcroft
Regression-testing
Medium
Po-Hsu Lin
Security-signoff
Medium
Canonical Security Team
Stakeholder-signoff
Medium
linux-azure stakeholder signoff
Verification-testing
Medium
Canonical Kernel Team
linux-azure (Ubuntu)
Undecided
Unassigned
Disco
Medium
Unassigned

Bug Description

This bug will contain status and test results related to a kernel source (or snap) as stated in the title.

For an explanation of the tasks and the associated workflow see:
  https://wiki.ubuntu.com/Kernel/kernel-sru-workflow

-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1852253
packages:
  main: linux-azure
  meta: linux-meta-azure
  signed: linux-signed-azure
phase: Complete
phase-changed: Thursday, 05. December 2019 20:52 UTC
proposed-announcement-sent: true
proposed-testing-requested: true
trackers:
  bionic/linux-azure: bug 1853900
variant: debs

Marcelo Cerri (mhcerri) on 2019-11-25
tags: added: disco kernel-release-tracking-bug
Changed in linux-azure (Ubuntu Disco):
status: New → Confirmed
Changed in linux-azure (Ubuntu):
status: New → Invalid
Changed in linux-azure (Ubuntu Disco):
importance: Undecided → Medium
tags: added: kernel-release-tracking-bug-live
description: updated
tags: added: kernel-sru-cycle-2019.11.11-4
description: updated
description: updated
tags: added: kernel-sru-derivative-of-1852253
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
summary: - linux-azure: <version to be filled> -proposed tracker
+ disco/linux-azure: <version to be filled> -proposed tracker
description: updated
Marcelo Cerri (mhcerri) on 2019-11-25
summary: - disco/linux-azure: <version to be filled> -proposed tracker
+ disco/linux-azure: 5.0.0-1027.29 -proposed tracker
description: updated
description: updated
description: updated
description: updated
tags: added: block-proposed-disco
tags: added: block-proposed
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
description: updated
Po-Hsu Lin (cypressyew) wrote :

Marked as Incomplete for the new failures in ubuntu_stress_smoke_test
(bug 1853944)

5.0.0-1027.29 - azure
Regression test CMPL, RTB.

Issue to note in x86_64 (azure):
  ubuntu_kernel_selftests - cpu-hotplug (bug 1814232) test_bpf in net (bug 1812189) msg_zerocopy in net (bug 1812620) posix_timers on Basic_A2 only (bug 1851805) trace_printk in ftrace (bug 1830084)
  ubuntu_kvm_unit_tests - ept (bug 1824228) vmx (bug 1821394) memory (bug 1854342)
  ubuntu_ltp - proc01 (bug 1829849) ksm06* in mm (bug 1830316) cpuset_base_ops in controllers (bug 1830359) cpuset_hotplug (bug 1834006) cpuset_load_balance in controllers (bug 1830360) memcg_max_usage_in_bytes (bug 1829979) memcg_stat (bug 1829983) memcg_subgroup_charge (bug 1847982) memcg_usage_in_bytes (bug 1829984) memcg_use_hierarchy (bug 1829989) cpuhotplug02 (bug 1836166) cpuhotplug03 (bug 1836167) cpuhotplug04 (bug 1836169) cpuhotplug06 (bug 1836170) getaddrinfo_01 (bug 1829995) crypto_user02 (bug 1837543)
  ubuntu_ltp_syscalls - move_pages12 (bug 1831043) msgstress03 (bug 1783881)
  ubuntu_lttng_smoke_test - module build issue on Standard_B1ms (bug 1847989)
  ubuntu_qrt_apparmor - timed out on Standard-B1ms, Standard_DS4_v2, Standard_DS15_V2
  ubuntu_stress_smoke_test - schedpolicy on Standard_B1ms (bug 1853944)

Skipped / blacklisted:
  * libhugetlbfs

Po-Hsu Lin (cypressyew) wrote :

Bug 1853944 resolved with Colin's patch.

tags: added: regression-testing-passed
description: updated
description: updated
description: updated
description: updated
tags: removed: block-proposed-disco
tags: removed: block-proposed
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-azure - 5.0.0-1027.29

---------------
linux-azure (5.0.0-1027.29) disco; urgency=medium

  * disco/linux-azure: 5.0.0-1027.29 -proposed tracker (LP: #1853901)

  * Unexpected CFS throttling (LP: #1832151) // Disco update: upstream stable
    patchset 2019-11-18 (LP: #1853067)
    - sched/fair: Fix low cpu usage with high throttling by removing expiration of
      cpu-local slices
    - sched/fair: Fix -Wunused-but-set-variable warnings

 -- Marcelo Henrique Cerri <email address hidden> Mon, 25 Nov 2019 17:04:59 -0300

Changed in linux-azure (Ubuntu Disco):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-azure - 5.0.0-1027.29~18.04.1

---------------
linux-azure (5.0.0-1027.29~18.04.1) bionic; urgency=medium

  * bionic/linux-azure: 5.0.0-1027.29~18.04.1 -proposed tracker (LP: #1853900)

  [ Ubuntu: 5.0.0-1027.29 ]

  * disco/linux-azure: 5.0.0-1027.29 -proposed tracker (LP: #1853901)
  * Unexpected CFS throttling (LP: #1832151) // Disco update: upstream stable
    patchset 2019-11-18 (LP: #1853067)
    - sched/fair: Fix low cpu usage with high throttling by removing expiration of
      cpu-local slices
    - sched/fair: Fix -Wunused-but-set-variable warnings

 -- Marcelo Henrique Cerri <email address hidden> Mon, 25 Nov 2019 17:48:07 -0300

Changed in linux-azure (Ubuntu):
status: Invalid → Fix Released
description: updated
description: updated
description: updated
description: updated

All tasks have been completed and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
tags: removed: kernel-release-tracking-bug-live
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers